Skip to content

Add Comment



POST /api/v1/error_track/comment/{issue_id}/add

Overview

Route Parameters

Parameter Name Type Required Description
issue_id string Y issue uuid
Allow empty string: False

Body Request Parameters

Parameter Name Type Required Description
comment string Y Comment content
Allow empty: False
extend json Extended information
Allow empty: True
attachmentUUIDs array List of attachment UUIDs
Allow empty: True

Parameter Supplementary Description

Request Parameter Description

Parameter Name Parameter Type Required Parameter Description
attachmentUUIDs array N Corresponds to the list of attachment UUIDs for replying to the issue. Must be uploaded first via the /api/v1/attachment/upload interface.
comment string Y Comment content
extend json N Extended field, default pass {}

Request Example

curl 'https://openapi.truewatch.com/api/v1/error_track/comment/<issue_id>/add' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"comment":"jon test","attachmentUUIDs":["att_944dffabaee943208a6fe1d8de0f01cd"],"extend":{"links":[],"members":[]}}' 

Response

{
    "code": 200,
    "content": true,
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "35b221465e63c86c56c7fabec38994bd"
}